Bug 1122614 - adding 2 new storage nodes simultaneously does not work correctly
Summary: adding 2 new storage nodes simultaneously does not work correctly
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: JON 4.0.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1120418
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 15:40 UTC by Armine Hovsepyan
Modified: 2019-08-05 15:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 15:00:28 UTC
Type: Bug


Attachments (Terms of Use)
server.log (1.11 MB, text/x-log)
2014-07-23 15:44 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-07-23 15:40:38 UTC
Description of problem:
adding 2 new storage nodes simultaneously does not work correctly

Version-Release number of selected component (if applicable):
JON 3.2.0 and later

How reproducible:
always

Steps to Reproduce:
1. install jon with rhqctl install --start command
2. install 2 new storage simultaneously with agent connected to jon server from step1


Actual results:
After step2. New installed nodes cannot see each other and cannot see any other node but node installed on the same box with server


Expected results:
all nodes should see each other, thus, should have each others hostnames in rhq-server-home/rhq-storage/conf/rhq-storage-auth.conf file

Additional info:
In my env there was an additional node, which failed install, after step2 that node cannot be got back.
server.log is attached

Comment 1 Armine Hovsepyan 2014-07-23 15:44:34 UTC
Created attachment 920260 [details]
server.log

Comment 2 John Sanda 2014-08-29 12:17:53 UTC
Bumping the target release due to time constraints. Work has been started though in the storage_workflow branch.

Comment 5 Filip Brychta 2019-08-05 15:00:28 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.